### Method

# Xdp Session pointer_axis

#### Declaration [src]

    void
    xdp_session_pointer_axis (
      XdpSession* session,
      gboolean finish,
      double dx,
      double dy
    )

#### Description [src]

The axis movement from a smooth scroll device, such as a touchpad. When applicable, the size of the motion delta should be equivalent to the motion vector of a pointer motion done using the same advice.

May only be called on a remote desktop session with `XDP_DEVICE_POINTER` access.

#### Parameters

`finish`

  Type: `gboolean`

  Whether this is the last in a series of related events.

`dx`

  Type: `double`

  Relative axis movement on the X axis.

`dy`

  Type: `double`

  Relative axis movement on the Y axis.